terraform {
  required_providers {
    linode = {
      source = "linode/linode"
      version = "2.26.0"
    }
  }
}

provider linode {
  # Configuration options
  token = var.token
}

resource linode_instance "instance" {
  label = var.label
  image = var.image
  region = var.region
  type = var.type
  authorized_keys = var.authorized_keys
  root_pass = var.root_pass
}
